#!/bin/bash
# Clear output directory
rm -R pdf
mkdir pdf
# As doesn't seem to be able to handle xinclude, 
# we first use xmllint to include the other xml files.
suffix=$(date +%s)
xmllint --xinclude documentation/Index.xml > documentation/xmllinttmp_${suffix}.xml
# Now generate the fo file
java -Dxslthl.config=file:///home/peter/Projects/FLOW3/FLOW3_cleanup/xslthl/xslthl-config.xml -classpath /usr/share/java/saxon.jar:/usr/share/java/docbook-xsl-saxon_1.00.jar:./xslthl/xslthl-1.3.jar com.icl.saxon.StyleSheet -o pdf/out_saxon.fo documentation/xmllinttmp_${suffix}.xml documentation-pdf.xsl use.extensions=1 tablecolumns.extension=1 
# Remove the temporary file
rm documentation/xmllinttmp_${suffix}.xml
# Create the PDF file
fop -c fop-config.xml pdf/out_saxon.fo pdf/out_saxon.pdf

